# UnitfulRecipes.jl

*for plotting data with units seamlessly in Julia*

## Deprecation

As of Plots.jl `v1.34.1`, UnitfulRecipes is included in Plots, and is no longer
necessary. Instead, loading both Unitful.jl and Plots.jl suffices to plot
unitful data.

## Archive 

[UnitfulRecipes.jl](https://github.com/jw3126/UnitfulRecipes.jl) provides recipes for plotting figures ([Plots.jl](https://github.com/JuliaPlots/Plots.jl)) when using data with units ([Unitful.jl](https://github.com/PainterQubits/Unitful.jl)).


---

### Documentation

There is no real documentation for [UnitfulRecipes.jl](https://github.com/jw3126/UnitfulRecipes.jl).
The goal is that if you can plot something with [Plots.jl](https://github.com/JuliaPlots/Plots.jl) then you should be able to plot the same thing with units.

Essentially, [UnitfulRecipes.jl](https://github.com/jw3126/UnitfulRecipes.jl) strips the units of your data and appends them to the corresponding axis labels.

Pictures speak louder than words, so we wrote some examples (accessible through the links on the left) for you to get an idea of what this package does or to simply try it out for yourself!

!!! note "You can run the examples!"
    These examples are available as Jupyter notebooks (through [nbviewer](https://nbviewer.jupyter.org/) or [binder](https://mybinder.org/))!

---

### Ommissions, bugs, and contributing

Please do not hesitate to raise an [issue](https://github.com/jw3126/UnitfulRecipes.jl/issues) or submit a [PR](https://github.com/jw3126/UnitfulRecipes.jl/pulls) if you would like a new recipe to be added.
